local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.FishingLevelling(container)

local frame = AceGUI:Create("Frame")
frame:SetTitle("Fishing Levelling Guide")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetLayout("Fill")


scrollcontainer = AceGUI:Create("SimpleGroup") -- "InlineGroup" is also good
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) -- probably?
scrollcontainer:SetLayout("Fill") -- important!

frame:AddChild(scrollcontainer)

scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") -- probably?
scrollcontainer:AddChild(scroll)



 --[[ Introduction ]]--

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Fishing:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
 --[[ Shadowlands ]]--
 
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Shadowlands:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 1:".."|cffffffff 1 - 150")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("For Shadowlands Fishing, all you will need to do is make your way over towards Ardenweald and fish in the water next to the flight master.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local SLFishWay = AceGUI:Create("Button")
  SLFishWay:SetText("Trainer Waypoint")
  SLFishWay:SetWidth(350)
  scroll:AddChild(SLFishWay)
  SLFishWay:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way 46.28 26.33") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
  local SLFishRoute = AceGUI:Create("Button")
  SLFishRoute:SetText("Route Waypoint")
  SLFishRoute:SetWidth(350)
  scroll:AddChild(SLFishRoute) 
  SLFishRoute:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Ardenweald 60 52") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
  
 --[[ Battle For Azeroth ]]--
 
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Battle For Azeroth:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
 
 local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 1:".."|cffffffff 1 - 150")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Make your way over towards Vol'Dun, Here you'll be able to fish to skill 150 along the edge of the coastline.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)


  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
 
 local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 2:".."|cffffffff 1 - 175")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Make your way over towards Nazjatar, here is where you'll be wanting to fish in any of the bodies of water untill you are maxed.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local BFAFishWayHorde = AceGUI:Create("Button")
  BFAFishWayHorde:SetText("Trainer Waypoint:".." Horde")
  BFAFishWayHorde:SetWidth(350)
  scroll:AddChild(BFAFishWayHorde)
  BFAFishWayHorde:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Zuldazar 50.6 23.2") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
 
  local BFAFishWayAlliance = AceGUI:Create("Button")
  BFAFishWayAlliance:SetText("Trainer Waypoint:".." Alliance")
  BFAFishWayAlliance:SetWidth(350)
  scroll:AddChild(BFAFishWayAlliance)
  BFAFishWayAlliance:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Boralus 74.1 5.71") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
  
  local BFAFishRoute = AceGUI:Create("Button")
  BFAFishRoute:SetText("Route Waypoint")
  BFAFishRoute:SetWidth(350)
  scroll:AddChild(BFAFishRoute) 
  BFAFishRoute:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Vol'dun 40 26") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
 --[[ Legion ]]--
 
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Legion:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 1:".."|cffffffff 1 - 100")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  
  local desc = AceGUI:Create("Label")
  desc:SetText("Making our way into the Fishing skill of Legion. Here we will need to learn the skill for Legion Fishing and we get this by going to the “Broken Isles Dalaran”. Once obtain we should make our way over towards Azsuna as this zone drops Cursed Queenfish  which can sell for a pretty penny. However in recent years most of the fish from Legion have become null so this means that a lot of them will not sell as fast as the others do. However we can farm here for the fish that will sell better than most of the other on average. You will be needing to fish in Azsuna for the Duration of your levelling experience like most of the fishing farms. ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local LegionFishWay = AceGUI:Create("Button")
  LegionFishWay:SetText("Trainer Waypoint")
  LegionFishWay:SetWidth(350)
  scroll:AddChild(LegionFishWay)
  LegionFishWay:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way 52.6 65.6") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
  local LegionFishRoute = AceGUI:Create("Button")
  LegionFishRoute:SetText("Route Waypoint")
  LegionFishRoute:SetWidth(350)
  scroll:AddChild(LegionFishRoute) 
  LegionFishRoute:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Azsuna 68 34") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
 

 --[[ Warlords of Dreanor ]]--
 
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Warlords of Dreanor:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
 
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 1:".."|cffffffff 1 - 100")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("As we get into Warlords of Draenor we will need to look at the Garrison for our source of levelling. To be more specific we will be looking at the Fishing Shack, here you will be wanting to fish in the pools just offset the Fishing Shack. This is where we will be situated for the duration of our levelling process, however you may want to take into account that the fish you get will be provided as whole fish and we can catch these already prepared by buying the Barbed Fishing Hook for the Shack. This will cut the fish up for crafters while we fish and this gives it a better chance of sales into the future ( note: this only works for this expansion).")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local WodFishRoute = AceGUI:Create("Button")
  WodFishRoute:SetText("Route Waypoint")
  WodFishRoute:SetWidth(350)
  scroll:AddChild(WodFishRoute) 
  WodFishRoute:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Frostfire Ridge 41 9") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
 
  
 --[[ Mists of Pandaria ]]--
 
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Mists of Pandaria:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
 
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 1:".."|cffffffff 1 - 75")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Moving into Mists of Pandaria we will be wanting to do only one farm and this is located in “The Vale of Eternal Blossoms”. Here you will be fishing for the fish “Golden Carp” this is used quite a lot of cooking in Mists and has a good gold per hour as well as higher than normal sell rate for fishing materials.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local MopFishWayHorde = AceGUI:Create("Button")
  MopFishWayHorde:SetText("Trainer Waypoint:".." Horde")
  MopFishWayHorde:SetWidth(350)
  scroll:AddChild(MopFishWayHorde)
  MopFishWayHorde:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Orgrimmar 66.6 41.6") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
 
  local MopFishWayAlliance = AceGUI:Create("Button")
  MopFishWayAlliance:SetText("Trainer Waypoint:".." Alliance")
  MopFishWayAlliance:SetWidth(350)
  scroll:AddChild(MopFishWayAlliance)
  MopFishWayAlliance:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Stormwind 53.8 69.6") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
  local MopFishRoute = AceGUI:Create("Button")
  MopFishRoute:SetText("Route Waypoint")
  MopFishRoute:SetWidth(350)
  scroll:AddChild(MopFishRoute) 
  MopFishRoute:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way 46 55") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
  
 --[[ Cataclysm ]]--
 
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Cataclysm:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 1:".."|cffffffff 1 - 75")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("As for Cataclysm, most fish in this expansion is not worth farming, besides one. This is the Albino cavefish which can be farmed in the waters of Deepholm. This definitely makes up for the lack of value for the others as this is a keynote item which is used to craft the “Vial of the Sands” mount and because of this it fetches some strong gold in the overall game for fishing materials. ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local CataFishWayHorde = AceGUI:Create("Button")
  CataFishWayHorde:SetText("Trainer Waypoint:".." Horde")
  CataFishWayHorde:SetWidth(350)
  scroll:AddChild(CataFishWayHorde)
  CataFishWayHorde:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Orgrimmar 66.6 41.6") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
 
  local CataFishWayAlliance = AceGUI:Create("Button")
  CataFishWayAlliance:SetText("Trainer Waypoint:".." Alliance")
  CataFishWayAlliance:SetWidth(350)
  scroll:AddChild(CataFishWayAlliance)
  CataFishWayAlliance:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Stormwind 53.8 69.6") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
  local CataFishRoute = AceGUI:Create("Button")
  CataFishRoute:SetText("Route Waypoint")
  CataFishRoute:SetWidth(350)
  scroll:AddChild(CataFishRoute) 
  CataFishRoute:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Deepholm 76 40") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
 --[[ Wrath of the Lich King ]]--
 
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Wrath of the Lich King:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
   local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 1:".."|cffffffff 1 - 75")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Northrend, we will be wanting to farm a high ticket item which sells rather well even today. This is the “Pygmy Suckerfish” these are used in Alchemy to create “Pygmy Oil” for other Alchemy crafts and sell rather well. This makes sense to farm this in the Howling Fjord as this has the most amount of nodes for you to farm.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local WOTLKFishWayHorde = AceGUI:Create("Button")
  WOTLKFishWayHorde:SetText("Trainer Waypoint:".." Horde")
  WOTLKFishWayHorde:SetWidth(350)
  scroll:AddChild(WOTLKFishWayHorde)
  WOTLKFishWayHorde:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Orgrimmar 66.6 41.6") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
 
  local WOTLKFishWayAlliance = AceGUI:Create("Button")
  WOTLKFishWayAlliance:SetText("Trainer Waypoint:".." Alliance")
  WOTLKFishWayAlliance:SetWidth(350)
  scroll:AddChild(WOTLKFishWayAlliance)
  WOTLKFishWayAlliance:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Stormwind 53.8 69.6") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
  local WOTLKFishRoute = AceGUI:Create("Button")
  WOTLKFishRoute:SetText("Route Waypoint")
  WOTLKFishRoute:SetWidth(350)
  scroll:AddChild(WOTLKFishRoute) 
  WOTLKFishRoute:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Howling Fjord 64 20") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
 --[[ The Burning Crusade ]]--
 
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125The Burning Crusade:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
   local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 1:".."|cffffffff 1 - 75")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("As for Burning Crusade Fishing, there are not many fish that sell for all that much in this expansion though you do have the ability to fish up “Motes of Water” which can be turned into “Primal Water” and can be sold on the Auction House for a fair amount of gold as it is used in some higher end crafts in gold making. Though the area you will be wanting to fish in is Terokkar Forest at cords 66.5 80.0 here you will want to skill up here. ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local TBCFishWayHorde = AceGUI:Create("Button")
  TBCFishWayHorde:SetText("Trainer Waypoint:".." Horde")
  TBCFishWayHorde:SetWidth(350)
  scroll:AddChild(TBCFishWayHorde)
  TBCFishWayHorde:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Orgrimmar 66.6 41.6") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
 
  local TBCFishWayAlliance = AceGUI:Create("Button")
  TBCFishWayAlliance:SetText("Trainer Waypoint:".." Alliance")
  TBCFishWayAlliance:SetWidth(350)
  scroll:AddChild(TBCFishWayAlliance)
  TBCFishWayAlliance:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Stormwind 53.8 69.6") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
  local TBCFishRoute = AceGUI:Create("Button")
  TBCFishRoute:SetText("Route Waypoint")
  TBCFishRoute:SetWidth(350)
  scroll:AddChild(TBCFishRoute) 
  TBCFishRoute:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Terokkar Forest 66.5 80") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
 --[[ Vanilla ]]--

  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Vanilla:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
   local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 1:".."|cffffffff 1 - 300")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Fishing in game, you'll want to learn fishing in either Stormwind for Alliance and Orgrimmar for Horde. At the trainers in there respective cities you can learn the fishing skills from Vanilla to Warlords of Draenor, this is quite a handy perk as you wont have to learn much flying around the map to gain the skills to level up as much with most other professions. ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("We will first start off with Fishing in Vanilla, this is started by making your way over towards the Wailing Caverns dungeon in the Northen Barrens. Outside of the cave you will be able to fish the pool localised throughout the area.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local VanillaFishWayHorde = AceGUI:Create("Button")
  VanillaFishWayHorde:SetText("Trainer Waypoint:".." Horde")
  VanillaFishWayHorde:SetWidth(350)
  scroll:AddChild(VanillaFishWayHorde)
  VanillaFishWayHorde:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Orgrimmar 66.6 41.6") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
 
  local VanillaFishWayAlliance = AceGUI:Create("Button")
  VanillaFishWayAlliance:SetText("Trainer Waypoint:".." Alliance")
  VanillaFishWayAlliance:SetWidth(350)
  scroll:AddChild(VanillaFishWayAlliance)
  VanillaFishWayAlliance:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Stormwind 53.8 69.6") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
  local VanillaFishRoute = AceGUI:Create("Button")
  VanillaFishRoute:SetText("Route Waypoint")
  VanillaFishRoute:SetWidth(350)
  scroll:AddChild(VanillaFishRoute) 
  VanillaFishRoute:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way 39.41 71.29") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
end